package hu.uw.pallergabor.peeble;

import android.app.Activity;
import android.content.Context;
import android.content.ContentResolver;
import android.content.ContentValues;
import android.database.Cursor;
import android.location.LocationProvider;
import android.location.LocationManager;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.Toast;
import java.util.List;

/**
  * Activity handling the add/edit term view.
  */
public class AddTerm extends Activity {
	Long id = null;

    @Override
    protected void onCreate(Bundle icicle) {
      super.onCreate(icicle);
      setContentView(R.layout.addterm);

      Bundle extras = getIntent().getExtras();
      id = null;
	  if( ( extras != null ) && extras.containsKey( "id" ) ) {
		id = extras.getLong( "id" );
		ContentResolver cr = getContentResolver();
	    Uri queryUri = Uri.withAppendedPath( PeebleData.Terms.CONTENT_URI, 
						id.toString() );
	    String columns[] = { PeebleData.Terms.TERMS };
		Cursor c = cr.query( queryUri,
							columns,
							null,
							null,
							null );
		if( ( c != null ) && c.next() ) {
		  int termsColumnIndex = c.getColumnIndex( PeebleData.Terms.TERMS );
          String terms = c.getString( termsColumnIndex );
	      EditText termsControl = (EditText)findViewById( R.id.term );
	      termsControl.setText( terms );	  
		}
	  }

// Setting up the cancel button
      Button cancelButton = (Button)findViewById( R.id.cancel_button );
      cancelButton.setOnClickListener(new View.OnClickListener() {
         public void onClick(View view) {
      		setResult( RESULT_OK, null, null );
      		finish();
         }
      } );

// Setting up the save button
      Button saveButton = (Button)findViewById( R.id.save_button );
      saveButton.setOnClickListener(new View.OnClickListener() {
         public void onClick(View view) {
			saveTerm();
      		setResult( RESULT_OK, null, null );
      		finish();
         }
      } );
    }


	private void saveTerm() {
	  EditText termControl = (EditText)findViewById( R.id.term );
	  String term = termControl.getText().toString();
	  ContentResolver cr = getContentResolver();
	  ContentValues val = new ContentValues();
	  val.put( PeebleData.Terms.TERMS, term );
	  if( id == null )
	    cr.insert( PeebleData.Terms.CONTENT_URI,
				val );
	  else {
		Uri updateUri = Uri.withAppendedPath( PeebleData.Terms.CONTENT_URI, 
													id.toString() );
		cr.update( updateUri, val, null, null );
	  }
	}
}
