package mwfw.sync;

public interface ISyncControl {

/**
  * Starts synchronization with the given database and peer.
  * @param peer Peer to start synchronization with. URI format suitable for the protocol adapter
  * @param database Registered database on this device to synchronize. Only one synchronization
  *        session can be active at any given database at the same time. URI format.
  */
  public void startSync( String peer, String database ) throws Exception;

/**
  * Adds end-of-synchronization listener.
  * @param synclistener Sync listener to add
  */
  public void addSyncListener( ISyncListener synclistener );

/**
  * Removes end-of-synchronization listener.
  * @param synclistener Sync listener to remove
  */
  public void removeSyncListener( ISyncListener synclistener );

}
