package mwfw.sync;

public interface ISyncListener {

/**
  * Notifies the client that a synchronization session has been started
  * @param sessionKey Unique ID of the session
  * @param target_db ID of the database being synchronized
  */
  public void sessionStarted( String sessionKey, String target_db, boolean client );

/**
  * Notifies the client that a synchronization session has ended
  * @param sessionKey Unique ID of the session
  * @param target_db ID of the database that was synchronized
  */
  public void sessionEnded( String sessionKey, String target_db, boolean client );

}
